---
title: PostgreSQL JDBC Driver 42.2.7 Released
date: 2019-09-10 13:50:37 +0000
categories:
  - new_release
version: 42.2.7
---
**Notable changes**

### Changed

### Added
- Expose parameter status messages (GUC_REPORT) to the user [PR 1435](https://github.com/pgjdbc/pgjdbc/pull/1435)
- Add automatic module name to manifest for jdk9+ [PR 1538](https://github.com/pgjdbc/pgjdbc/pull/1538)
- Log ignoring rollback when no transaction in progress [PR 1549](https://github.com/pgjdbc/pgjdbc/pull/1549)
- Map inet type to InetAddress [PR 1527](https://github.com/pgjdbc/pgjdbc/pull/1527) [issue 1134](https://github.com/pgjdbc/pgjdbc/issues/1134)

### Fixed
- fix [issue 1547](https://github.com/pgjdbc/pgjdbc/issues/1547) As long as peek returns some bytes do not reset the timeout, this allows us to continue checking until any async notifies are consumed [PR 1548](https://github.com/pgjdbc/pgjdbc/pull/1548)
- fix: [issue 1466](https://github.com/pgjdbc/pgjdbc/issues/1466) In logical decoding the if the backend was requesting a reply we… [PR 1467](https://github.com/pgjdbc/pgjdbc/pull/1467)
- fix: [issue 1534](https://github.com/pgjdbc/pgjdbc/issues/1534) Proleptic java.time support [PR 1539](https://github.com/pgjdbc/pgjdbc/pull/1539)
- fix Ensure isValid() will not last more than timeout seconds [PR 1557](https://github.com/pgjdbc/pgjdbc/pull/1557)

<!--more-->

**Commits by author**

Adrien (1):

* Ensure isValid() will not last more than timeout seconds [PR 1557](https://github.com/pgjdbc/pgjdbc/pull/1557) [b2eaefe](https://github.com/pgjdbc/pgjdbc/commit/b2eaefef1787b8ab0b8fcb266d10be4945a4fe25)

Craig Ringer (2):

* Expose parameter status messages (GUC_REPORT) to the user [PR 1435](https://github.com/pgjdbc/pgjdbc/pull/1435) [ce8333a](https://github.com/pgjdbc/pgjdbc/commit/ce8333a56ba74022adeb545b68e7d2bee32d966f)
* Make ConnectTimeout test accept NoRouteToHostException [PR 1526](https://github.com/pgjdbc/pgjdbc/pull/1526) [08d8129](https://github.com/pgjdbc/pgjdbc/commit/08d81291c69d02d8973d6b39dac82bdaad91f2ee)

Dave Cramer (8):

* note that waffle 1.9.x is only supported in jre8 version Update README to point to new maven coordinates [58804e9](https://github.com/pgjdbc/pgjdbc/commit/58804e9af41368fc9e956a7dd6cf799cb1d72420)
* add automatic module name to manifest for jdk9+ [PR 1538](https://github.com/pgjdbc/pgjdbc/pull/1538) [0600990](https://github.com/pgjdbc/pgjdbc/commit/0600990007669119b73ee2adb064184a4c62343f)
* fix issue 1547, as long as peek returns some bytes do not reset the timeout, this allows us to continue checking until any async notifies are consumed [PR 1548](https://github.com/pgjdbc/pgjdbc/pull/1548) [36a75cb](https://github.com/pgjdbc/pgjdbc/commit/36a75cbaab4bda1b55f48aa9064258051cd89b10)
* fix: In logical decoding the if the backend was requesting a reply we… [PR 1467](https://github.com/pgjdbc/pgjdbc/pull/1467) [f89e62c](https://github.com/pgjdbc/pgjdbc/commit/f89e62cdce4895f163dc95353cd31614347624b6)
* Log ignoring rollback when no transaction in progress [PR 1549](https://github.com/pgjdbc/pgjdbc/pull/1549) [bda74d7](https://github.com/pgjdbc/pgjdbc/commit/bda74d7eaa341c02427af4065d8321c8e45bfd83)
* fix assertion message [PR 1553](https://github.com/pgjdbc/pgjdbc/pull/1553) [ba82948](https://github.com/pgjdbc/pgjdbc/commit/ba8294841a2e589e15dfcb79dbd31a83ec615208)
* remove failing tests for PostgreSQL version 8.3 add in tests for 11 [89464a5](https://github.com/pgjdbc/pgjdbc/commit/89464a54777b9272893ab24bc5e28a24623e41bb)
* Fix travis parsing issue [634ac7d](https://github.com/pgjdbc/pgjdbc/commit/634ac7d8fee23eb5231ce91c616a64d120f8d8ee)

Hajar Razip (2):

* docs: add note on behavior of ResultSet.getString() [PR 1286](https://github.com/pgjdbc/pgjdbc/pull/1286) (#1528) [c30556c](https://github.com/pgjdbc/pgjdbc/commit/c30556c6c059f25d4ed43608d1b2a2f02a168389)
* docs: update resultset.md in head to reflect 94 [PR 1528](https://github.com/pgjdbc/pgjdbc/pull/1528) (#1536) [fc8efc9](https://github.com/pgjdbc/pgjdbc/commit/fc8efc9a98e86059701e8674017947c0b702cab1)

Matteo Melli (1):

* Updated scram to version 2.0 [PR 1532](https://github.com/pgjdbc/pgjdbc/pull/1532) [fcbbc3e](https://github.com/pgjdbc/pgjdbc/commit/fcbbc3e6408cc1bcf459b740c683f3db40a5050c)

Myo Wai Thant (1):

* Issue 1134 Map inet type to InetAddress [PR 1527](https://github.com/pgjdbc/pgjdbc/pull/1527) [1d0c477](https://github.com/pgjdbc/pgjdbc/commit/1d0c477abbe23f23681a924ee0d216a5f7188079)

Pavel Raiskup (2):

* fix parent version in pgjdbc/pom.xml as well [3db55da](https://github.com/pgjdbc/pgjdbc/commit/3db55daf2dccdd49555fd73b70be5c15609cccfa)
* rpm: remove karaf plugin [8495127](https://github.com/pgjdbc/pgjdbc/commit/8495127fe0450f94923251f67ab8e2208319437f)

Philippe Marschall (1):

* fix: proleptic java.time support [PR 1539](https://github.com/pgjdbc/pgjdbc/pull/1539) [60fa6d3](https://github.com/pgjdbc/pgjdbc/commit/60fa6d374a392d00475be0c128804c43b2852a35)

Sehrope Sarkuni (2):

* docs: Add note to GitHub PR templates about test suites [PR 1531](https://github.com/pgjdbc/pgjdbc/pull/1531) [51f3d0b](https://github.com/pgjdbc/pgjdbc/commit/51f3d0b75078e5c8687c7eae20ff37b28e65abec)
* Sort test suites and enable missed tests [PR 1530](https://github.com/pgjdbc/pgjdbc/pull/1530) [aa8778d](https://github.com/pgjdbc/pgjdbc/commit/aa8778d91bd166e2f351343855d6e0b0b71b1e62)

Steinar Bang (1):

* Add an apache karaf feature for the PostgreSQL JDBC driver to fix [PR 1552](https://github.com/pgjdbc/pgjdbc/pull/1552) (#1554) [e2f6e9f](https://github.com/pgjdbc/pgjdbc/commit/e2f6e9fc54a60f4b310bab9d83d74dbdc8941f32)

Tim Ward (1):

* Check that JDBC Connections that are closed by the server do not report as valid [PR 1533](https://github.com/pgjdbc/pgjdbc/pull/1533) [56399ef](https://github.com/pgjdbc/pgjdbc/commit/56399efddd25281ccefd90c56e9db084c550d195)

Vsevolod Kaimashnikov (1):

* Add more info about currentSchema property. [PR 1481](https://github.com/pgjdbc/pgjdbc/pull/1481) [d96ed59](https://github.com/pgjdbc/pgjdbc/commit/d96ed59eba6a2279da337684e696b198ec60685c)

<a name="contributors_{{ page.version }}"></a>
### Contributors to this release

We thank the following people for their contributions to this release.

[Adrien](https://github.com/arobert-delfingen)  
[Craig Ringer](https://github.com/ringerc)  
[Dave Cramer](davec@postgresintl.com)  
[Hajar Razip](https://github.com/mshajarrazip)  
[Matteo Melli](https://github.com/teoincontatto)  
[Myo Wai Thant](https://github.com/myowaithant9)  
[Pavel Raiskup](https://github.com/praiskup)  
[Philippe Marschall](https://github.com/marschall)  
[Sehrope Sarkuni](https://github.com/sehrope)  
[Steinar Bang](https://github.com/steinarb)  
[Tim Ward](https://github.com/timothyjward)  
[Vsevolod Kaimashnikov](https://github.com/vsevolodk)  
