---
title: PostgreSQL JDBC Driver 42.2.9 Released
date: 2019-12-06 17:52:49 +0000
categories:
  - new_release
version: 42.2.9
---
**Notable changes**


### Changed

### Added
 - read only transactions [PR 1252](https://github.com/pgjdbc/pgjdbc/pull/1252)
 - pkcs12 key functionality [PR 1599](https://github.com/pgjdbc/pgjdbc/pull/1599)
 - new "escapeSyntaxCallMode" connection property [PR 1560](https://github.com/pgjdbc/pgjdbc/pull/1560)
 - connection property to limit server error detail in exception exceptions [PR 1579](https://github.com/pgjdbc/pgjdbc/pull/1579)
 - cancelQuery() to PGConnection public interface [PR 1157](https://github.com/pgjdbc/pgjdbc/pull/1157) 
 - support for large update counts (JDBC 4.2) [PR 935](https://github.com/pgjdbc/pgjdbc/pull/935)
 - Add Binary Support for Oid.NUMERIC and Oid.NUMERIC_ARRAY [PR 1636](https://github.com/pgjdbc/pgjdbc/pull/1636) 
 
### Fixed
 - issue 716 getTypeInfo() may not return data in the order specified in Oracle documentation [PR 1506](https://github.com/pgjdbc/pgjdbc/pull/1506)
 - PgSQLXML setCharacterStream() results in null value  [PR 1608](https://github.com/pgjdbc/pgjdbc/pull/1608)
 - get correct column length for simple domains [PR 1605](https://github.com/pgjdbc/pgjdbc/pull/1605)
 - NPE as a result of calling executeQuery twice on a statement fixes issue [#684](https://github.com/pgjdbc/pgjdbc/issues/684) [PR 1610] (https://github.com/pgjdbc/pgjdbc/pull/1610)
 - handle numeric domain types [PR 1611](https://github.com/pgjdbc/pgjdbc/pull/1611) 
 - pginterval to take iso8601 strings [PR 1612](https://github.com/pgjdbc/pgjdbc/pull/1612)
 - remove currentTimeMillis from code, tests are OK [PR 1617](https://github.com/pgjdbc/pgjdbc/pull/1617) 
 - NPE when calling setNull on a PreparedStatement with no parameters [PR 1620](https://github.com/pgjdbc/pgjdbc/pull/1620)
 - allow OUT parameter registration when using CallableStatement native CALL [PR 1561](https://github.com/pgjdbc/pgjdbc/pull/1561)
 - add release save point into execute with batch [PR 1583](https://github.com/pgjdbc/pgjdbc/pull/1583) 
 - Prevent use of extended query protocol for BEGIN before COPY [PR 1639](https://github.com/pgjdbc/pgjdbc/pull/1639)


<!--more-->

**Commits by author**

Brett Okken (1):

* feat: read only transactions [PR 1252](https://github.com/pgjdbc/pgjdbc/pull/1252) [05079793](https://github.com/pgjdbc/pgjdbc/commit/050797934a8a9c0ce2dff068eba14931988370ca)

Craig Ringer (1):

* Prevent use of extended query protocol for BEGIN before COPY [PR 1639](https://github.com/pgjdbc/pgjdbc/pull/1639) [b3711537](https://github.com/pgjdbc/pgjdbc/commit/b37115373935732b1ab5e59b56837ac49942718a)

Dave Cramer (20):

* Add simple test to make sure we can load a key [PR 1588](https://github.com/pgjdbc/pgjdbc/pull/1588) [7c591262](https://github.com/pgjdbc/pgjdbc/commit/7c591262792b8ff8f6139f67a98c16d41f2adf4f)
* Update prepare.md [PR 1601](https://github.com/pgjdbc/pgjdbc/pull/1601) [5e48eaa4](https://github.com/pgjdbc/pgjdbc/commit/5e48eaa4c9f6fc07904944bd98ad45fbb4aefd10)
* fix: issue 716 getTypeInfo() may not return data in the order specified in Oracle documentation [PR 1506](https://github.com/pgjdbc/pgjdbc/pull/1506) [9b8a3ffd](https://github.com/pgjdbc/pgjdbc/commit/9b8a3ffd8a952a55be28d14cb80a23fdbb955133)
* chore: Document how to use unix domain sockets.  [PR 1607](https://github.com/pgjdbc/pgjdbc/pull/1607) [e64b0a2d](https://github.com/pgjdbc/pgjdbc/commit/e64b0a2df8dd5e94a24fbb2e2e197f6d7fed7d9a)
* fix: PgSQLXML setCharacterStream() results in null value  [PR 1608](https://github.com/pgjdbc/pgjdbc/pull/1608) [1e370263](https://github.com/pgjdbc/pgjdbc/commit/1e370263d2f59da04fd1f8fe55bb83afdc0a51dc)
* add test for table name with values in it [PR 1609](https://github.com/pgjdbc/pgjdbc/pull/1609) [47f756fa](https://github.com/pgjdbc/pgjdbc/commit/47f756fa926f7c78a7f55f030aadf7be82195e52)
* fix: get correct column length for simple domains [PR 1605](https://github.com/pgjdbc/pgjdbc/pull/1605) [8abf3161](https://github.com/pgjdbc/pgjdbc/commit/8abf3161d17fef3783c0c597e91c1fe455efc2e8)
* fix: NPE as a result of calling executeQuery twice on a statement fixes issue [PR 684](https://github.com/pgjdbc/pgjdbc/pull/684) (#1610) [00fa4485](https://github.com/pgjdbc/pgjdbc/commit/00fa448587532cc219977679bb8c573a1dcae11c)
* fix:handle numeric domain types [PR 1611](https://github.com/pgjdbc/pgjdbc/pull/1611) [7f1752a1](https://github.com/pgjdbc/pgjdbc/commit/7f1752a1f2853c88333b3ac75c2dc0212272b254)
* add checks for null results [PR 1616](https://github.com/pgjdbc/pgjdbc/pull/1616) [69320c7a](https://github.com/pgjdbc/pgjdbc/commit/69320c7a7dc065f44db5ddeec8143c606298b382)
* fix: pginterval to take iso8601 strings [PR 1612](https://github.com/pgjdbc/pgjdbc/pull/1612) [7b454355](https://github.com/pgjdbc/pgjdbc/commit/7b454355939aebd995b1b79598a1e945c168eb68)
* fix: remove currentTimeMillis from code, tests are OK [PR 1617](https://github.com/pgjdbc/pgjdbc/pull/1617) [ff4a66d2](https://github.com/pgjdbc/pgjdbc/commit/ff4a66d29d863cb4a6d2aecee2faec424f8d51d7)
* fix: NPE when calling setNull on a PreparedStatement with no parameters [PR 1620](https://github.com/pgjdbc/pgjdbc/pull/1620) [6899a43d](https://github.com/pgjdbc/pgjdbc/commit/6899a43dff735ab14a02bedea853266de768da50)
* doc: correct documentation about last applied message fixes [PR 760](https://github.com/pgjdbc/pgjdbc/pull/760) (#1621) [fdf898c7](https://github.com/pgjdbc/pgjdbc/commit/fdf898c781c00839210936d668d2341ca6c08406)
* docs: fix documentation about oids [PR 1624](https://github.com/pgjdbc/pgjdbc/pull/1624) [4edca517](https://github.com/pgjdbc/pgjdbc/commit/4edca517bfdc0bffb2141369394d611803b43523)
* fix: javadoc requires throws annotation [PR 1625](https://github.com/pgjdbc/pgjdbc/pull/1625) [4258e0d0](https://github.com/pgjdbc/pgjdbc/commit/4258e0d0cfdc50aaec3d31301fd793e221740bda)
* fix: Add pkcs12 key functionality [PR 1599](https://github.com/pgjdbc/pgjdbc/pull/1599) [82c2008f](https://github.com/pgjdbc/pgjdbc/commit/82c2008f83dd687e80b1e3acdeeb618dccc2fb5c)
* Actually test cleanSavePoints [PR 1509](https://github.com/pgjdbc/pgjdbc/pull/1509) [97d32caa](https://github.com/pgjdbc/pgjdbc/commit/97d32caad1f72c11d3e89ffaf16a17a22c6b9790)
* fix: DatabaseMetaData.getFunctions should not limit the search to the search_path if the schema is provided [PR 1633](https://github.com/pgjdbc/pgjdbc/pull/1633) [8106d3df](https://github.com/pgjdbc/pgjdbc/commit/8106d3df5c3f6ea3cbc3e621977df5542b182b56)
* feat: WIP Filter DatabaseMetaData using privileges for the user [PR 1630](https://github.com/pgjdbc/pgjdbc/pull/1630) [ec76bace](https://github.com/pgjdbc/pgjdbc/commit/ec76bace1d4e3c02a7bf235f726a6c6d7feb6ee3)

Dongming (1):

* Adjust the default port to 5432. [PR 1619](https://github.com/pgjdbc/pgjdbc/pull/1619) [9a193de7](https://github.com/pgjdbc/pgjdbc/commit/9a193de71d3e834a231f8f5027fb887e00e903d2)

GregN (2):

* feat: add new "escapeSyntaxCallMode" connection property [PR 1560](https://github.com/pgjdbc/pgjdbc/pull/1560) [d7559138](https://github.com/pgjdbc/pgjdbc/commit/d75591385538cd704a066c4ed026f767ce3784ab)
* fix: allow OUT parameter registration when using CallableStatement native CALL [PR 1561](https://github.com/pgjdbc/pgjdbc/pull/1561) [ed74670f](https://github.com/pgjdbc/pgjdbc/commit/ed74670fae932935a156eccfb4b1ff16758f5693)

Igor Volkov (1):

* Fix exception on PGCopyOutputStream.close() after endCopy() [PR 1574](https://github.com/pgjdbc/pgjdbc/pull/1574) (#1575) [539a0925](https://github.com/pgjdbc/pgjdbc/commit/539a09258f6009581785474fe5f15a46992ade6f)

IvyDev0 (1):

* fix: null pointer exception from PgResultSetMetaData when there's no column metadata [PR 1615](https://github.com/pgjdbc/pgjdbc/pull/1615) [08bd46bf](https://github.com/pgjdbc/pgjdbc/commit/08bd46bfccc9c9481650e4ee09c943ec78d77895)

Jorge Solorzano (1):

* feat: support for large update counts (JDBC 4.2) [PR 935](https://github.com/pgjdbc/pgjdbc/pull/935) [0888e935](https://github.com/pgjdbc/pgjdbc/commit/0888e9355ca065ac2eae4e3085442ffd54f6dec6)

Knut Wannheden (1):

* Fix Markdown formatting issue [PR 1576](https://github.com/pgjdbc/pgjdbc/pull/1576) [69edc0b8](https://github.com/pgjdbc/pgjdbc/commit/69edc0b8f0985465af0ba0ee258f6b2564240232)

Mahmoud Bahaa (2):

* Add Binary Support for Oid.NUMERIC and Oid.NUMERIC_ARRAY [PR 1636](https://github.com/pgjdbc/pgjdbc/pull/1636) [c85b149d](https://github.com/pgjdbc/pgjdbc/commit/c85b149d68c30ede0559d4bff6bc616ec03b2517)
* Only allow binary transfer for those Oids that the pgjdbc currently supports [PR 1637](https://github.com/pgjdbc/pgjdbc/pull/1637) [ad83cb33](https://github.com/pgjdbc/pgjdbc/commit/ad83cb332058f0a891b89f47ceefb538cbf031db)

Michail Nikolaev (1):

* fix: do ssl handshake after socket timeout and buffer size settings [PR 1584](https://github.com/pgjdbc/pgjdbc/pull/1584) [e39a0be0](https://github.com/pgjdbc/pgjdbc/commit/e39a0be0739d016f524e7aef567f95e6ea59fd54)

Pavel Raiskup (1):

* rpm: drop BR on properties-maven-plugin [91186c08](https://github.com/pgjdbc/pgjdbc/commit/91186c08968f15b11b7338f1a565124abedcbfae)

Sehrope Sarkuni (5):

* Clean up some tests and fix IsValidTest race condition [PR 1581](https://github.com/pgjdbc/pgjdbc/pull/1581) [ad734574](https://github.com/pgjdbc/pgjdbc/commit/ad734574726eb0decf5178071c87a1b513e484f2)
* Fix test suite order [PR 1593](https://github.com/pgjdbc/pgjdbc/pull/1593) [003ea835](https://github.com/pgjdbc/pgjdbc/commit/003ea8352dab2b49b4734cdf7338befb4d9b9ed4)
* fix: Update error message for COPY commands executed using JDBC API [PR 1300](https://github.com/pgjdbc/pgjdbc/pull/1300) [c99ed121](https://github.com/pgjdbc/pgjdbc/commit/c99ed1213410872915930bea4471df6b1bdc503e)
* Add connection property to limit server error detail in exception exceptions [PR 1579](https://github.com/pgjdbc/pgjdbc/pull/1579) [cd0b555c](https://github.com/pgjdbc/pgjdbc/commit/cd0b555c8045fc71e6f4d0fb0f24a2deb726301e)
* feat: Add cancelQuery() to PGConnection public interface [PR 1157](https://github.com/pgjdbc/pgjdbc/pull/1157) [f0af538f](https://github.com/pgjdbc/pgjdbc/commit/f0af538f59924fd9d692627102c94517e5f6008e)

Tom Eicher (1):

* fix: DataSources broken by connection failover urls [PR 1039](https://github.com/pgjdbc/pgjdbc/pull/1039) (#1457) [bd9485ef](https://github.com/pgjdbc/pgjdbc/commit/bd9485ef7b889ec7397b1e39f77f5d396f06ed05)

Torsten Brodbeck (1):

* fix camel case writing of 'cleanupSavepoints' [PR 1587](https://github.com/pgjdbc/pgjdbc/pull/1587) [0fd45353](https://github.com/pgjdbc/pgjdbc/commit/0fd45353e504ed7821af69c8053814918212b8d7)

Yuriy Yudin (1):

* fix: add release save point into execute with batch [PR 1583](https://github.com/pgjdbc/pgjdbc/pull/1583) [504bb316](https://github.com/pgjdbc/pgjdbc/commit/504bb316b91fdbc6506a2e9870453fb75fbbb083)

rnveach (1):

* upgrade maven-checkstyle-plugin to 3.1.0 [PR 1573](https://github.com/pgjdbc/pgjdbc/pull/1573) [831115c1](https://github.com/pgjdbc/pgjdbc/commit/831115c1e8ede27d6a0434022b11edab7082721a)

Árpád Magosányi (2):

* fix documentation on generating the pk8 key. closes: [PR 1585](https://github.com/pgjdbc/pgjdbc/pull/1585) (#1586) [635cc865](https://github.com/pgjdbc/pgjdbc/commit/635cc86562aebc223dcc0d163639c5039a6b54c0)
* security notice and clarifications on choosing the right cipher suite for client key [PR 1591](https://github.com/pgjdbc/pgjdbc/pull/1591) [c67b0b0b](https://github.com/pgjdbc/pgjdbc/commit/c67b0b0b667a6b9f1b13ed5359687f3bc20ac61b)

<a name="contributors_{{ page.version }}"></a>
### Contributors to this release

We thank the following people for their contributions to this release.

[Árpád Magosányi](https://github.com/magwas)  
[Brett Okken](https://github.com/bokken)  
[Craig Ringer](https://github.com/ringerc)  
[Dave Cramer](davec@postgresintl.com)  
[Dongming](https://github.com/ldming)  
[GregN](https://github.com/gregn123)  
[Igor Volkov](https://github.com/virtual-machinist)  
[IvyDev0](https://github.com/IvyDev0)  
[Jorge Solorzano](https://github.com/jorsol)  
[Knut Wannheden](https://github.com/knutwannheden)  
[Mahmoud Bahaa](https://github.com/mahmoudbahaa)  
[Michail Nikolaev](https://github.com/michail-nikolaev)  
[Pavel Raiskup](https://github.com/praiskup)  
[rnveach](https://github.com/rnveach)  
[Sehrope Sarkuni](https://github.com/sehrope)  
[Tom Eicher](https://github.com/teicher)  
[Torsten Brodbeck](https://github.com/tbrodbeck-adc)  
[Yuriy Yudin](https://github.com/junixar)  
