---
title: PostgreSQL JDBC Driver 42.2.13 Released
date: 2020-06-04 08:24:40 -0400
categories:
  - new_release
version: 42.2.13
---
**Notable changes**

### Changed

### Added

### Fixed

## [42.2.13] (2020-06-04)

**Notable Changes**
The primary reason to release this version and to continue the 42.2.x branch is for CVE-2020-13692.
Reported by David Dworken this is an XXE and more information can be found [here](https://cheatsheetseries.owasp.org/cheatsheets/XML_External_Entity_Prevention_Cheat_Sheet.html)
Sehrope Sarkuni reworked the XML parsing to provide a solution in commit 14b62aca4 
The build system has been changed to Gradle thanks to Vladimir [PR 1627](https://github.com/pgjdbc/pgjdbc/pull/1627)
Regression: com.github.waffle:waffle-jna, org.osgi:org.osgi.core, org.osgi:org.osgi.enterprise dependencies are listed as non-optional [issue 1975](https://github.com/pgjdbc/pgjdbc/issues/1795).

### Changed

### Added
- jre-6 was added back to allow us to release fixes for all artifacts in the 42.2.x branch [PR 1787](https://github.com/pgjdbc/pgjdbc/pull/1787)

### Fixed
- I/O error ru translation [PR 1756](https://github.com/pgjdbc/pgjdbc/pull/1756)
- Issue [1771](https://github.com/pgjdbc/pgjdbc/issues/1771)  PgDatabaseMetaData.getFunctions() returns
 procedures fixed in [PR 1774](https://github.com/pgjdbc/pgjdbc/pull/1774)
- getTypeMap() returning null [PR 1781](https://github.com/pgjdbc/pgjdbc/pull/1774)
- Updated openssl example command [PR 1763](https://github.com/pgjdbc/pgjdbc/pull/1763)
- fix documentation with ordered list to be displayed correctly [PR 1783](https://github.com/pgjdbc/pgjdbc/pull/1783)



<!--more-->

**Commits by author**

Andrei Arkaev (1):

* Fix I/O error message in ru translation [PR 1756](https://github.com/pgjdbc/pgjdbc/pull/1756) [f6731dfc](https://github.com/pgjdbc/pgjdbc/commit/f6731dfc771b9dd7e1cdbbf75baa35bf7afdecc8)

Benjamin van der Veen (1):

* Updated openssl example command [PR 1763](https://github.com/pgjdbc/pgjdbc/pull/1763) [e19d4587](https://github.com/pgjdbc/pgjdbc/commit/e19d45879f9d93dc86d3d888659480aeffc0aedc)

Dave Cramer (6):

* remove 9.4 and 9.5 [PR 1753](https://github.com/pgjdbc/pgjdbc/pull/1753) [2aa49c05](https://github.com/pgjdbc/pgjdbc/commit/2aa49c05962d147e075434abf9adb8f9461bfd52)
* Update issue templates [PR 1765](https://github.com/pgjdbc/pgjdbc/pull/1765) [139eb54e](https://github.com/pgjdbc/pgjdbc/commit/139eb54e672a5e9c54434706a94489fbb49bbffe)
* refer to current versions in maven [PR 1769](https://github.com/pgjdbc/pgjdbc/pull/1769) [302046f2](https://github.com/pgjdbc/pgjdbc/commit/302046f219e25bacb351c8f49bb2c3a49c8b1ca5)
* fix: getTypeMap() returning null [PR 1781](https://github.com/pgjdbc/pgjdbc/pull/1781) [f3abb4eb](https://github.com/pgjdbc/pgjdbc/commit/f3abb4eb19357ac353d4a1e59d2920135619ad9a)
* create changelog and prepare release [PR 1790](https://github.com/pgjdbc/pgjdbc/pull/1790) [bb3c5ca8](https://github.com/pgjdbc/pgjdbc/commit/bb3c5ca848cf0c4f080f87994b9636755c52a710)
* change release date to june 4 [PR 1792](https://github.com/pgjdbc/pgjdbc/pull/1792) [e63584cf](https://github.com/pgjdbc/pgjdbc/commit/e63584cfb2bbb904a971a0b19cb4857249e0b8e2)

ItaiFonio (1):

* docs: remove Supported Versions from downloads page [PR 1761](https://github.com/pgjdbc/pgjdbc/pull/1761) [5e97af32](https://github.com/pgjdbc/pgjdbc/commit/5e97af326e68af74452e284d85a541dd623b07c1)

Jean-Christophe Arnu (1):

* fix numbered list to be displayed correctly [PR 1783](https://github.com/pgjdbc/pgjdbc/pull/1783) [fda4299e](https://github.com/pgjdbc/pgjdbc/commit/fda4299e1e3b76aa7e0c0031f3e11c61dd05c64b)

Kim Johan Andersson (1):

* Use generatedKeys to fetch sequence values on insertRow() [PR 1743](https://github.com/pgjdbc/pgjdbc/pull/1743) [9f398c53](https://github.com/pgjdbc/pgjdbc/commit/9f398c537447d7773971ff0e1a93ed75f5b01122)

Sehrope Sarkuni (2):

* fix: Update checkstyle command in PR template to reference gradle [PR 1780](https://github.com/pgjdbc/pgjdbc/pull/1780) [4ddbcb7d](https://github.com/pgjdbc/pgjdbc/commit/4ddbcb7dd083652fda080ccc958dda17842f7a99)
* Merge pull request from GHSA-37xm-4h3m-5w3v [14b62aca](https://github.com/pgjdbc/pgjdbc/commit/14b62aca4764d496813f55a43d050b017e01eb65)

Vladimir Sitnikov (14):

* chore: migrate build scripts to Gradle [9f396707](https://github.com/pgjdbc/pgjdbc/commit/9f396707b8e00c32433dd1a859004e901d6aa013)
* Add source distribution [d2e4f585](https://github.com/pgjdbc/pgjdbc/commit/d2e4f5859affc14762bdb20cd386055aac71e265)
* Re-add benchmarks module [409bd25a](https://github.com/pgjdbc/pgjdbc/commit/409bd25a576afab463857d0ada7c7fc86b97560f)
* Fix comparisons in travis_build.sh [b80ebcef](https://github.com/pgjdbc/pgjdbc/commit/b80ebcef33f9c3801f01e28994746bc36abb2d21)
* Configure core.autocrlf in AppVeyor [cb370106](https://github.com/pgjdbc/pgjdbc/commit/cb37010619e3fa7cb0937509de8fe924a77c45c7)
* Inline COPY_ERROR_MESSAGE so it can be localized properly [9a0dbf1b](https://github.com/pgjdbc/pgjdbc/commit/9a0dbf1b7cceb5e751fe83f6fec99790b13ff57c)
* chore: update po files with the current messages [bb36e362](https://github.com/pgjdbc/pgjdbc/commit/bb36e36282775a4384845b320cd4841cb23b0314)
* chore: make benchmarks executable from IDEA [99ba94ec](https://github.com/pgjdbc/pgjdbc/commit/99ba94ece16181eeb224048fa1bce5aaed0fb7cf)
* chore: move code style verification to GitHub Actions job [9da29740](https://github.com/pgjdbc/pgjdbc/commit/9da29740caf0f8a8469da762e7070090d10cb49d)
* chore: show the current PostgreSQL HEAD commit id in Travis log [332b0719](https://github.com/pgjdbc/pgjdbc/commit/332b071928babd1e446f1b0872658a0316617d2e)
* chore: re-add pgjdbc-jre6 build [PR 1787](https://github.com/pgjdbc/pgjdbc/pull/1787) [d224acd0](https://github.com/pgjdbc/pgjdbc/commit/d224acd095c1697f3503c8fbf73f7b22828b5720)
* chore: use REL$buildVersion for the release version as it was previously [148840d3](https://github.com/pgjdbc/pgjdbc/commit/148840d3f2f99e7f54d829aed8e70b4be39139f8)
* chore: fix artifactid and version for -jre6 and -jre7 artifacts [97e2e8f5](https://github.com/pgjdbc/pgjdbc/commit/97e2e8f5bb325841f7a9d20c22eee1a419c3abdc)
* chore: include META-INF/services/java.sql.Driver for jre7 and jre6 jars [5ca2b9e7](https://github.com/pgjdbc/pgjdbc/commit/5ca2b9e732022c1852b829227a303edff83a09fc)

kili668 (1):

* Fix: issue PgDatabaseMetaData.getFunctions() [PR 1774](https://github.com/pgjdbc/pgjdbc/pull/1774) [0eb5eea9](https://github.com/pgjdbc/pgjdbc/commit/0eb5eea99d46e49c92b24776a9cd782b7fa8b57b)

<a name="contributors_{{ page.version }}"></a>
### Contributors to this release

We thank the following people for their contributions to this release.

[Andrei Arkaev](https://github.com/arkaev)
[Benjamin van der Veen](https://github.com/bvanderveen)
[Dave Cramer](davec@postgresintl.com)
[ItaiFonio](https://github.com/ItaiFonio)
[Jean-Christophe Arnu](https://github.com/jcarnu)
[kili668](https://github.com/kili668)
[Kim Johan Andersson](https://github.com/kimjand)
[Sehrope Sarkuni](https://github.com/sehrope)
[Vladimir Sitnikov](https://github.com/vlsi)
